﻿/*
 * Created by SharpDevelop.
 * User: Maciek
 * Date: 2015-06-30
 * Time: 21:09
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;

namespace DrugaSolucja
{
	/// <summary>
	/// Description of Tlumaczenia.
	/// </summary>
	public class Tlumaczenia : ZiemiaKlodzka
	{
		private string tlumaczenie {get; set;}
		
		public Tlumaczenia(string tlumaczenie)
		{
			this.tlumaczenie = tlumaczenie;
		}
		
		public static string ZwrocPrzetlumaczonyRekord(int numerRekordu)
		{
			Dictionary<int, Tlumaczenia> dic = new Dictionary<int, Tlumaczenia>();
			
			if(numerKraju == 1)
			{
				dic.Add(1, new Tlumaczenia("Położenie"));
                dic.Add(2, new Tlumaczenia("Mapa regionu"));
                dic.Add(3, new Tlumaczenia("Stare mapy"));
                dic.Add(4, new Tlumaczenia("Widok z satelity"));
                dic.Add(5, new Tlumaczenia("Mapa gmin"));
			}
			if(numerKraju == 2)
			{
                dic.Add(1, new Tlumaczenia("Lage"));
                dic.Add(2, new Tlumaczenia("Landkarte"));
                dic.Add(3, new Tlumaczenia("Alte Landkarten"));
                dic.Add(4, new Tlumaczenia("Satellitenbild"));
                dic.Add(5, new Tlumaczenia("Karte der Gemeinden"));
			}
			if(numerKraju == 3)
			{
                dic.Add(1, new Tlumaczenia("Location"));
                dic.Add(2, new Tlumaczenia("Map of the region"));
                dic.Add(3, new Tlumaczenia("Old maps"));
                dic.Add(4, new Tlumaczenia("Satellite image"));
                dic.Add(5, new Tlumaczenia("Map of the communes"));
			}
			
			string zwracanyRekord = dic[numerRekordu].tlumaczenie.ToString();
			return zwracanyRekord;
		}
	}
}
